/******************************************************************************/
/*   Copyright (C) 2001 K. Vasudevan. Indian Institute of Technology Kanpur.  */
/*   All Rights Reserved.                                                     */
/******************************************************************************/
/******************************************************************************/
#include "n2type.h"
#include "n2ext.h"
/******************************************************************************/
int Post_Processor()
{
 Print_State_Metrics();
 printf("\t No. of valid symbols is %d.\n\n",Valid_Sym);
 printf("\t No. of symbol errors is %d.\n\n",Err_Cnt);
 fclose(fp1);
 fclose(fp2);
 return(0);
}
/******************************************************************************/
/*              Print the metric corresponding to each state.
*******************************************************************************/
int Print_State_Metrics()
{
 int state;
 struct Trellis *prev;
 printf("\t Metrics at each state:\n\n");
 prev=Lst_Depth->Prv_Depth;
 for(state=ZERO;state<NUM_RX_STATES;state++)
  printf("\t State:%d Wght:%lf\n",state,prev->VA_Wght[state]);
 return(0);
}
/******************************************************************************/
