#*******************************************************************************
#    Copyright (C) 2001 K. Vasudevan. Indian Institute of Technology Kanpur.
#    All Rights Reserved.
#*******************************************************************************
# Plot of the autocorrelation of the error at equalizer output.
#*******************************************************************************
# Gnuplot file. To plot the graph run gnuplot and at the gnuplot prompt
# type: load "eqerrac.gp"<RETURN>
# If you want the output on the screen, comment the following two lines:
# set term postscript eps color 22
# set output "eqerrac.eps"
# Comment lines begin with a #.
# For help on gnuplot, run gnuplot and type the following at the gnuplot
# prompt: help
#*******************************************************************************
#set term postscript eps color 22
set nokey
#set format y "%2.1e"
#set output "eqerrac.eps"
#set logscale y
set xlabel "Time"
set ylabel "Amplitude"
plot "eqerrac.dat" using "%lf %*lf" t "Imaginary part" w lines lt 1 lw 3,\
     "eqerrac.dat" using "%*lf %lf" t "Real part"      w lines lt 3 lw 3
