#*******************************************************************************
#    Copyright (C) 2001 K. Vasudevan. Indian Institute of Technology Kanpur.
#    All Rights Reserved.
#*******************************************************************************
# Plot of the fade filter autocorrelation.
#*******************************************************************************
#*******************************************************************************
# Gnuplot file. To plot the graph run gnuplot and at the gnuplot prompt
# type: load "ff_ac.gp"<RETURN>
# If you want the output on the screen, comment the following two lines:
# set term postscript eps color 22
# set output "ff_ac.eps"
# Comment lines begin with a #.
# For help on gnuplot, run gnuplot and type the following at the gnuplot
# prompt: help
#*******************************************************************************
#set term postscript eps color 22
set nokey
set format y "%2.1e"
#set output "ff_ac.eps"
#set logscale y
set xlabel "Time"
set ylabel "Amplitude"
plot "ff_ac.dat" t "Fade filter autocorrelation" w lines lt 1 lw 3,\
     "j0.dat" t "J0" w lines lt 2 lw 3
