/******************************************************************************/
/*   Copyright (C) 2001 K. Vasudevan. Indian Institute of Technology Kanpur.  */
/*   All Rights Reserved.                                                     */
/******************************************************************************/
/******************************************************************************/
#include "pc2type.h"
#include "pc2ext.h"
/******************************************************************************/
/*                   Get the symbol to be transmitted.
*******************************************************************************/
int Get_Symbol()
{
 Get_Bits();
// printf("symcnt:%d ip sym:%d\n",Sym_Cnt,Inp_Sym_Num);
 Mapping();
 Store_in_Err_Buf();
 return(0);
}
/******************************************************************************/
/*                              Get the bits.
*******************************************************************************/
int Get_Bits()
{
 int cnt;
 long int random(void);
 Inp_Sym_Num=random()&1;
// Inp_Sym_Num=ZERO;                                       /* All 0 sequence. */
 Op_Sym_Num=Tx_Trel_Op[P_State][Inp_Sym_Num];
 P_State=Tx_Trel_NS[P_State][Inp_Sym_Num];
 return(0);
}
/******************************************************************************/
/*                               Map to symbol.
*******************************************************************************/
int Mapping()
{
 Re_Sym=Re_Map[Op_Sym_Num];
 Im_Sym=Im_Map[Op_Sym_Num];
 /*printf("cnt:%d sym:%d re:%lf im:%lf\n",Sym_Cnt,Inp_Sym_Num,Re_Sym,Im_Sym);*/
 return(0);
}
/******************************************************************************/
/*                       Store in the error buffer.
*******************************************************************************/
int Store_in_Err_Buf()
{
 Err_Buf[Err_Buf_Inx]=Inp_Sym_Num;
 Err_Buf_Inx++;
 if(Err_Buf_Inx == ERR_BUF_SIZE)
  Error_Mes(11);
 return(0);
}
/******************************************************************************/
