#*******************************************************************************
#    Copyright (C) 2001 K. Vasudevan. Indian Institute of Technology Kanpur.
#    All Rights Reserved.
#*******************************************************************************
# Plot of the bit error rates for predictive VA, regular VA, DFE-CD, DFE-DD,
# PVA-DFE and PSP DFE-DD. This is for fractionally spaced channel taps.
# Channel 2.
#*******************************************************************************
#*******************************************************************************
# Gnuplot file. To plot the graph run gnuplot and at the gnuplot prompt
# type: load "frberchan2.gp"<RETURN>
# If you want the output on the screen, comment the following two lines:
# set term postscript eps color 22
# set output "frberchan2.eps"
# Comment lines begin with a #.
# For help on gnuplot, run gnuplot and type the following at the gnuplot
# prompt: help
#*******************************************************************************
#set term postscript eps color 22
set key box
set format y "%2.1e"
#set output "frberchan2.eps"
set logscale y
#set xlabel "SNR (dB)"
#set ylabel "Symbol error rate"
plot "../pc6/pc6data/pc6p0berchan2.dat"        t "LE+CVA"\
      w lines lt 1 lw 3,\
     "../pc6/pc6data/pc6p3berchan2.dat"        t "3rd order PVA"\
      w lines lt 2 lw 3,\
     "../pc7/pc7data/pc7p0berchan2.dat"        t "DFE-CD"\
      w lines lt 3 lw 3,\
     "../pc8/pc8data/pc8p0berchan2.dat"        t "DFE-DD"\
      w lines lt 4 lw 3,\
     "../pc11/pc11data/pspdd1chan2.dat"        t "PSP DFE-DD"\
      w lines lt 5 lw 3
