#*******************************************************************************
#    Copyright (C) 2001 K. Vasudevan. Indian Institute of Technology Kanpur.
#    All Rights Reserved.
#*******************************************************************************
# Plot of the symbol error rates for non-ideal predictive VA. Noise is a
# 1st order AR process with coefficient equal to 0.8
#*******************************************************************************
#*******************************************************************************
# Gnuplot file. To plot the graph run gnuplot and at the gnuplot prompt
# type: load "nipva.gp"<RETURN>
# If you want the output on the screen, comment the following two lines:
# set term postscript eps color 22
# set output "nipva.eps"
# Comment lines begin with a #.
# For help on gnuplot, run gnuplot and type the following at the gnuplot
# prompt: help
#*******************************************************************************
#set term postscript eps color 22
set key box
set format y "%2.1e"
#set output "nipva.eps"
set logscale y
#set xlabel "SNR (dB)"
#set ylabel "Symbol error rate"
plot "../pc2/data/pc2p8.dat" t\
     "ideal predictive VA"\
      w lines lt 1 lw 3,\
     "../pc9/pc9data/pc9p8m2.dat" t "2nd order predictive VA"\
      w lines lt 2 lw 3,\
     "../pc9/pc9data/pc9p8m3.dat" t "3rd-order predictive VA"\
      w lines lt 3 lw 3
