# Plot of the symbol error rates for predictive VA, regular VA
# and MLSE.
#set term postscript eps color 22
set nokey
set format y "%2.1e"
#set output "sereq.eps"
set logscale y
#set xlabel "SNR (dB)"
#set ylabel "Symbol error rate"
plot "../pc5/pc5data/pc5erracdd1p2.dat" t\
     "2nd-order predictive VA"\
      w lines lt 1 lw 3,\
     "../pc4/pc4data/pc4serdd1.dat" t "Conventional VA"\
      w lines lt 2 lw 3,\
     "../../mlse/nmlse3/n3data/nmlse3.dat" t "Ideal MLSE"\
      w lines lt 3 lw 3,\
     "../pc5/pc5data/pc5erracdd1p3.dat" t "3rd-order predictive VA"\
      w lines lt 4 lw 3
