#*******************************************************************************
#    Copyright (C) 2001 K. Vasudevan. Indian Institute of Technology Kanpur.
#    All Rights Reserved.
#*******************************************************************************
# Plot of the magnitude response of the noise colouring filter.
#*******************************************************************************
#*******************************************************************************
# Gnuplot file. To plot the graph run gnuplot and at the gnuplot prompt
# type: load "impulsemag.gp"<RETURN>
# If you want the output on the screen, comment the following two lines:
# set term postscript eps color 22
# set output "impulsemag.eps"
# Comment lines begin with a #.
# For help on gnuplot, run gnuplot and type the following at the gnuplot
# prompt: help
#*******************************************************************************
#set term postscript eps 22
set nokey
set format y "%2.1e"
#set output "impulsemag.eps"
set logscale y
set xlabel "Sampling frequency"
set ylabel "Magnitude response"
plot "impulsemag.dat" t "Magnitude response" w lines lt 1 lw 2
