/******************************************************************************/
/*   Copyright (C) 2001 K. Vasudevan. Indian Institute of Technology Kanpur.  */
/*   All Rights Reserved.                                                     */
/******************************************************************************/
/******************************************************************************/
#include "pc2type.h"
#include "pc2ext.h"
/******************************************************************************/
/*                     Get the 8-QAM constellation.
*******************************************************************************/
int Get_4QAM()
{
 Get_Re_4QAM_Map();
 Get_Im_4QAM_Map();
 return(0);
}
/******************************************************************************/
/*             Get the real 4-QAM mapping. LSB maps to real part.
*******************************************************************************/
int Get_Re_4QAM_Map()
{
 Re_Map[0]=  1.0;
 Re_Map[1]= -1.0;
 Re_Map[2]=  1.0;
 Re_Map[3]= -1.0;
 return(0);
}
/******************************************************************************/
/*        Get the imaginary 4-QAM mapping. MSB maps to imaginary part.
*******************************************************************************/
int Get_Im_4QAM_Map()
{
 Im_Map[0]=  1.0;
 Im_Map[1]=  1.0;
 Im_Map[2]= -1.0;
 Im_Map[3]= -1.0;
 return(0);
}
/******************************************************************************/
