#*******************************************************************************
#    Copyright (C) 2001 K. Vasudevan. Indian Institute of Technology Kanpur.
#    All Rights Reserved.
#*******************************************************************************
# Plot of the bit error rates for predictive VA and PSP DFE-DD for fading
# channels with F_D=0.1*F_S. This is for fractionally spaced channel taps.
# Channel 1.
#*******************************************************************************
#*******************************************************************************
# Gnuplot file. To plot the graph run gnuplot and at the gnuplot prompt
# type: load "fadep1.gp"<RETURN>
# If you want the output on the screen, comment the following two lines:
# set term postscript eps color 22
# set output "fadep1.eps"
# Comment lines begin with a #.
# For help on gnuplot, run gnuplot and type the following at the gnuplot
# prompt: help
#*******************************************************************************
set term postscript eps color 22
set key box
set format y "%2.1e"
set output "fadep1.eps"
set logscale y
#set xlabel "SNR (dB)"
#set ylabel "Symbol error rate"
plot "../pc10/pc10data/fdtp1.dat"             t "PVA"\
      w lines lt 1 lw 3,\
     "../pc12/pc12data/pspdd0chan1p1.dat"     t "DFE-CD"\
      w lines lt 2 lw 3,\
     "../pc12/pc12data/pspdd1chan1p1.dat"     t "DFE-ED PSP"\
      w lines lt 3 lw 3
